org.apache.lucene.analysis

## Class VocabularyAssert

- java.lang.Object
- - org.apache.lucene.analysis.VocabularyAssert

-     public class VocabularyAssert
      extends Object

  Utility class for doing vocabulary-based stemming tests

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `VocabularyAssert()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `assertVocabulary(Analyzer a, InputStream vocOut)` Run a vocabulary test against one file: tab separated.
    `static void` | `assertVocabulary(Analyzer a, InputStream voc, InputStream out)` Run a vocabulary test against two data files.
    `static void` | `assertVocabulary(Analyzer a, Path zipFile, String vocOut)` Run a vocabulary test against a tab-separated data file inside a zip file
    `static void` | `assertVocabulary(Analyzer a, Path zipFile, String voc, String out)` Run a vocabulary test against two data files inside a zip file

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VocabularyAssert

          public VocabularyAssert()

  - ### Method Detail

    - #### assertVocabulary

          public static void assertVocabulary(Analyzer a,
                                              InputStream voc,
                                              InputStream out)
                                       throws IOException

      Run a vocabulary test against two data files.
      Throws:
        `IOException`

    - #### assertVocabulary

          public static void assertVocabulary(Analyzer a,
                                              InputStream vocOut)
                                       throws IOException

      Run a vocabulary test against one file: tab separated.
      Throws:
        `IOException`

    - #### assertVocabulary

          public static void assertVocabulary(Analyzer a,
                                              Path zipFile,
                                              String voc,
                                              String out)
                                       throws IOException

      Run a vocabulary test against two data files inside a zip file
      Throws:
        `IOException`

    - #### assertVocabulary

          public static void assertVocabulary(Analyzer a,
                                              Path zipFile,
                                              String vocOut)
                                       throws IOException

      Run a vocabulary test against a tab-separated data file inside a zip file
      Throws:
        `IOException`

Copyright © 2000-2019 Apache Software Foundation. All Rights Reserved.